\begin{caml_primitive}
normalize_num : num -> num
cautious_normalize_num_when_printing : num -> num
\end{caml_primitive}

\verb"normalize_num n" optimizes the representation of \verb"n". A rational 
will be normalized and if possible coerced to an integer. A ``big'' integer
will be mapped onto a ``small'' one if possible.

\verb"cautious_normalize_num_when_printing n" normalizes \verb"n" in the above 
sense when the normalization when printing flag is turned on. For more 
information see chapter~\ref{numdir}.
\bigskip

\begin{beware}
\item It is supposed that ``big'' integers do not fit in a ``small''
one. You can introduce a ``small'' integer with constructor
\verb"Big_int", this will not cause any error but it will be less efficient. 
\end{beware}
